Remove specific data from an experience report

Allows for targeted deletion of report data for an experience based on date range and event type (view_experience, conversion, transaction). For conversion and transaction events, specific goals can be targeted. If simulate is true, returns a count of records that would be deleted without actual deletion. Otherwise, performs permanent deletion. The Knowledge Base article "Remove Report Data Feature" details this.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the account that owns the retrieved/saved data

integer
required

ID of the project to which save/retrieved data is connected

integer
required

ID of the experience

Body Params

Parameters for removing specific data from an experience's report. Requires:

  • start_time, end_time: Defines the period for data deletion.
  • events: An array specifying the types of events to delete (e.g., 'view_experience', 'conversion', 'transaction'). For 'conversion' and 'transaction', specific goals can be targeted. For 'transaction', revenue_start_value and revenue_end_value can filter by revenue amount.
  • simulate: If true (default), returns a count of records that would be deleted. If false, performs permanent deletion. Also supports utc_offset and segments.

Parameters needed to drill down the report.

integer
-43200 to 50400
Defaults to 0

The time offset from Coordinated Universal Time (UTC) in seconds. For example, UTC-5 (EST) would be -18000. UTC+2 would be 7200. Used for interpreting or displaying date/time information according to a specific timezone.

number | null
required

Unix timestamp (seconds since epoch) for the beginning of the reporting period. If null, data from the experience start is typically used. Should be interpreted with utc_offset.

number | null
required

Unix timestamp (seconds since epoch) for the end of thereporting period. If null, data up to the current time is typically used. Should be interpreted with utc_offset.

segments
object

A collection of filters used to segment experience report data based on various visitor attributes and traffic sources. Applying these filters allows for deeper analysis of how different user groups interact with experience variations. Knowledge Base: "Using Basic and Advanced Post segmentation".

stats_engine_processing

Overall settings for the statistical engine processing results for this experience.

events
array
length ≥ 1

List of the events that would be targeted by the delete operation. If not provided, all the events would be targeted.

events
boolean
Defaults to true

When simulate - true is passed, it will only return back an object with the numbers of how many records will be deleted, instead of deleting any records

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json